package com.ym.mec.web.controller;

import io.swagger.annotations.Api;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ym.mec.biz.dal.dao.SysUserCashAccountDao;
import com.ym.mec.biz.dal.entity.SysUserCashAccount;
import com.ym.mec.common.controller.BaseController;

@RequestMapping("api")
@Api(tags = "对外接口")
@RestController
public class APIController extends BaseController {

	@Autowired
	private SysUserCashAccountDao sysUserCashAccountDao;

	@GetMapping("/createCashAccount/{userId}")
	public Boolean createCashAccount(@PathVariable("userId") Integer userId) {
		// 添加用户现金账户
		sysUserCashAccountDao.insert(new SysUserCashAccount(userId, "CNY"));

		return true;
	}

}
